natsort
pos
Array Functions
PHP Manual

# next

(PHP 4, PHP 5)

next — Advance the internal array pointer of an array

### Description

mixed next ( array `&$array` )

next() behaves like current(), with one difference. It advances the internal array pointer one place forward before returning the element value. That means it returns the next array value and advances the internal array pointer by one.

### Parameters

`array`

  The array being affected.

### Return Values

Returns the array value in the next place that's pointed to by the internal array pointer, or `FALSE` if there are no more elements.

Warning

This function may return Boolean `FALSE`, but may also return a non-Boolean value which evaluates to `FALSE`, such as 0 or "". Please read the section on Booleans for more information. Use the === operator for testing the return value of this function.

### Examples

Example #1 Example use of next() and friends

`<?php
$transport = array('foot', 'bike', 'car', 'plane');
$mode = current($transport); // $mode = 'foot';
$mode = next($transport); // $mode = 'bike';
$mode = next($transport); // $mode = 'car';
$mode = prev($transport); // $mode = 'bike';
$mode = end($transport); // $mode = 'plane';
?>`

### Notes

> Note: You won't be able to distinguish the end of an array from a boolean `FALSE` element. To properly traverse an array which may contain `FALSE` elements, see the each() function.

### See Also

- current() - Return the current element in an array
- end() - Set the internal pointer of an array to its last element
- prev() - Rewind the internal array pointer
- reset() - Set the internal pointer of an array to its first element
- each() - Return the current key and value pair from an array and advance the array cursor

natsort
pos
Array Functions
PHP Manual